Page MenuHomePhabricator

[x86] Fix bugs of some intrinsic functions in CLANG : _mm512_stream_ps, _mm512_stream_pd, _mm512_stream_si512
ClosedPublic

Authored by yubing on Aug 26 2019, 11:32 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

yubing created this revision.Aug 26 2019, 11:32 PM
Herald added a project: Restricted Project. · View Herald TranscriptAug 26 2019, 11:32 PM
yubing retitled this revision from [x86] Make some intrinsic functions in CLANG aligned with SPEC: _mm512_stream_ps, _mm512_stream_pd, _mm512_stream_si512 to [x86] Fix bugs of some intrinsic functions in CLANG : _mm512_stream_ps, _mm512_stream_pd, _mm512_stream_si512.Aug 26 2019, 11:34 PM
yubing edited the summary of this revision. (Show Details)
RKSimon added inline comments.Aug 27 2019, 5:21 AM
clang/test/CodeGen/avx512f-builtins.c
8570 ↗(On Diff #217315)

Would it make sense to keep the __m512* variants as well for test coverage?

yubing updated this revision to Diff 218290.Sep 2 2019, 12:03 AM
yubing marked an inline comment as done.

I think @RKSimon was asking to have tests with the original type and with the new void type. Just to verify that we accept code we used to accept and that we now accept void.

yubing updated this revision to Diff 218296.Sep 2 2019, 12:31 AM
RKSimon accepted this revision.Sep 2 2019, 5:48 AM

LGTM - thanks

This revision is now accepted and ready to land.Sep 2 2019, 5:48 AM
This revision was automatically updated to reflect the committed changes.